## vde2 2.3.2%2Br586

=== debian/control ===
Source: vde2
Section: net
Priority: optional
Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Ludovico Gardenghi <garden@debian.org>, Guido Trotter <ultrotter@debian.org>, Filippo Giunchedi <filippo@debian.org>, Luca Bigliardi <shammash@artha.org>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper (>= 10), libssl-dev, libpcap0.8-dev, cdbs, libvdeplug-dev
Homepage: http://vde.sourceforge.net
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vde2.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vde2
Standards-Version: 4.4.1

Package: vde2
Section: net
Architecture: any
Depends: adduser, vdeplug, vde-wirefilter, vde-switch, ${shlibs:Depends}, ${misc:Depends}
Suggests: vde2-cryptcab, qemu-system
Replaces: vde
Description: Virtual Distributed Ethernet
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 VDE 2 includes:
  - switch management both from console and from a "unix socket terminal"
  - VLAN 801.1q
  - FSTP (fast spanning tree)
  - distributed cable manager using a blowfish encrypted channel
 .
 Examples of VDE uses:
  - With VDE it is possible to create a virtual network of QEMU machines
    running on several real computer
  - VDE can be used to create tunnels (even crossing masqueraded networks)
  - VDE can provide mobility support
 .
 The VDE also provides bi-directional pipe command (dpipe) and remote terminal
 for unix sockets (unixterm).
 .
 The Debian package provides a nice extension for /etc/network/interfaces file
 for easy set up.

Package: vde-switch
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
Breaks: vde2 (<< 2.3.2+r586-3)
Replaces: vde2 (<< 2.3.2+r586-3)
Description: Virtual Distributed Ethernet. Virtual Switch command.
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains vde_switch, the vde virtual switch

Package: vde-wirefilter
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
Breaks: vde2 (<< 2.3.2+r586-3)
Replaces: vde2 (<< 2.3.2+r586-3)
Description: Virtual Distributed Ethernet. wirefilter command.
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains wirefilter to emulate delays and packet loss on virtual
 wires

Package: vde2-cryptcab
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual Distributed Ethernet - CryptCab
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains CryptCab, which can be used to send encrypted data
 over an UDP link.

Package: libvde-dev
Section: libdevel
Architecture: any
Depends: libvde0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libvdemgmt0-dev (<= 2.2.2-3)
Replaces: libvdemgmt0-dev
Description: Virtual Distributed Ethernet - support libraries development files
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains the development files for libvde

Package: libvde0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libvdemgmt0 (<= 2.2.2-3)
Replaces: libvdemgmt0
Description: Virtual Distributed Ethernet - support libraries
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains a library to interact with vde_switch management console
 using pre-made unattended scripts.
