## vde2 2.3.2+r586

=== debian/changelog ===
vde2 (2.3.2+r586-12) unstable; urgency=medium

  * fix ftbfs gcc-15 Closes: #1098058

 -- Renzo Davoli <renzo@cs.unibo.it>  Fri, 26 Sep 2025 19:11:51 +0200

vde2 (2.3.2+r586-11) unstable; urgency=medium

  * Team upload
  * wirefilter: fix ftbfs bug (implicit type in function arg).  Closes: #1075616

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 27 Jul 2024 16:05:23 +0200

vde2 (2.3.2+r586-10) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Don't hard code dependencies on shared libraries.

  [ Michael Hudson-Doyle ]
  * Undefine _FILE_OFFSET_BITS and _TIME_BITS in libvdetap.c so the library's
    interposition of open/open64 still works.  Closes: #1065951

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Replace dependency on transitional package libpcap-dev
      with replacement libpcap0.8-dev.
    + libvde-dev: Drop Replaces on removed package vde2 (<< 2.3.2-1).
    + libvde-dev: Drop Breaks on removed package vde2 (<< 2.3.2-1).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 Apr 2024 06:36:38 +0200

vde2 (2.3.2+r586-9.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007644)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Feb 2024 15:44:40 +0000

vde2 (2.3.2+r586-9) unstable; urgency=medium

  * Team upload.
  * Add link to upstream sources in d/copyright.  Closes: #1051059

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 22 Sep 2023 10:47:43 +0200

vde2 (2.3.2+r586-8) unstable; urgency=medium

  * do not generate vdeplug, libvdeplug* packages (Closes: #1000798)
    vdeplug4 provides new versions of these packages

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 04 Dec 2021 16:21:27 +0100

vde2 (2.3.2+r586-7) unstable; urgency=medium

  * d/control: Fix Breaks and Replaces again (Closes: #971972)

 -- Andrea Capriotti <capriott@debian.org>  Thu, 15 Oct 2020 22:08:26 +0200

vde2 (2.3.2+r586-6) unstable; urgency=medium

  * d/control: Fix missing Breaks and Replaces (Closes: #971972)
  * d/control: Suggest qemu-system instead of qemu (Closes: #966255)
  * d/control: Fix short description (Closes: #972002)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 13 Oct 2020 14:09:22 +0200

vde2 (2.3.2+r586-5) unstable; urgency=medium

  * d/copyright: Fix missing copyright attributions (Closes: #962492)

 -- Andrea Capriotti <capriott@debian.org>  Fri, 17 Jul 2020 19:16:24 +0200

vde2 (2.3.2+r586-4) unstable; urgency=medium

  * Bump debhelper's compat level to 10.  (Closes: #965872)
  * Bump Standards-Version to 4.4.1.
  * Add Andrea Capriotti as Uploader.
  * Add Vcs-Git and Vcs-Browser.

 -- Andrea Capriotti <capriott@debian.org>  Sun, 29 Dec 2019 15:57:07 +0100

vde2 (2.3.2+r586-3) unstable; urgency=medium

  * Split binary packages for vdeplug4 migration.
    vdeplug4 is going to provide a new codebase for vde_plug and dpipe,
    a complete rewrite of vde_switch and wirefilter is ongoing.
    The new tools are backwards compatible with vde2.
    A splitting of the binary packages is needed so that the tools
    can be upgraded one by one.  Packages with the same name, higher
    version, will override those provided by vde2. In the new codebase
    each tool is provided by a different upstream repository.
    More info on the new vde architecture: https://frama.link/-ckvuxxq

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 23 Nov 2019 10:50:59 +0100

vde2 (2.3.2+r586-2.2) unstable; urgency=medium

  * Maintainers' mailing list address updated (Closes: 899726)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 15:44:02 +0100

vde2 (2.3.2+r586-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1, patch by Sebastian Andrzej Siewior (Closes:
    #836419).
  * Add explicit debian/source/format.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Dec 2016 20:23:13 +0500

vde2 (2.3.2+r586-2) unstable; urgency=medium

  * Really fix FTBFS on hurd-any (previous patch applied to configure, but
    since 2.3.2+r586-1 we also started running autoreconf during build).
    Thanks again Gabriele! (Closes: #745430)

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 02 Nov 2014 14:26:07 +0100

vde2 (2.3.2+r586-1) unstable; urgency=medium

  * No new upstream version, packaging latest SVN revision.
  * Accept all NMU patches. Thank you Hector!
  * Fix segfault due to race condition in hash.c. Thank you Bas van Sisseren
    <bas@quarantainenet.nl> for the patch! (Closes: #764476) 
  * Fix vdeterm not correctly restoring terminal when exiting on error. Thank
    you Serge Hallyn <serge.hallyn@ubuntu.com> for the patch!
    (Closes: #682759)
  * Fix FTBFS on hurd-any. Thanks Gabriele Giacone <1o5g4r8o@gmail.com> for
    the patch! (Closes: #745430)

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 12 Oct 2014 23:32:56 +0200

vde2 (2.3.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd, regression due to autoreconf run.

 -- Hector Oron <zumbi@debian.org>  Thu, 18 Sep 2014 15:50:13 +0000

vde2 (2.3.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on new arches:
    - d/control: depend on dh-autoreconf
    - d/rules: add autoreconf cdbs rule.
    (Closes: #735390)

 -- Hector Oron <zumbi@debian.org>  Wed, 17 Sep 2014 17:55:25 +0000

vde2 (2.3.2-4) unstable; urgency=high

  * Add missing Depends on libvde0 in package libvde-dev

 -- Ludovico Gardenghi <garden@debian.org>  Sat, 04 Feb 2012 15:56:58 +0100

vde2 (2.3.2-3) unstable; urgency=high

  * Add Provides: libvdeplug2-dev to libvdeplug-dev entry, to help smoother
    transitions to testing (Closes: #658082)

 -- Ludovico Gardenghi <garden@debian.org>  Tue, 31 Jan 2012 11:49:52 +0100

vde2 (2.3.2-2) unstable; urgency=low

  * Add patch debian/patches/compile_with_kfreebsd.patch: allow compilation
    with kFreeBSD (as for FreeBSD, this removes almost all TUN/TAP support)
    - Move TUN/TAP specific files out of *.install files and install them with

