=== debian/watch ===
version=3
http://sf.net/vde/vde2-(.*)\.tar\.gz
