## vde2 2.3.2+r586-8

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Ludovico Gardenghi <garden@debian.org>, Guido Trotter <ultrotter@debian.org>, Filippo Giunchedi <filippo@debian.org>, Luca Bigliardi <shammash@artha.org>, Andrea Capriotti <capriott@debian.org>
-Build-Depends: debhelper (>= 10), libssl-dev, libpcap0.8-dev, cdbs, libvdeplug-dev
+Build-Depends: debhelper (>= 10), libssl-dev, libpcap-dev, cdbs, quilt, libvdeplug-dev
 Homepage: http://vde.sourceforge.net
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/vde2.git
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vde2
@@ -13,7 +13,7 @@
 Section: net
 Architecture: any
 Depends: adduser, vdeplug, vde-wirefilter, vde-switch, ${shlibs:Depends}, ${misc:Depends}
-Suggests: vde2-cryptcab, qemu-system
+Suggests: vde2-cryptcab, libpcap0.8, qemu-system
 Replaces: vde
 Description: Virtual Distributed Ethernet
  VDE is a virtual switch that can connect multiple virtual machines together,
@@ -44,7 +44,7 @@
 Package: vde-switch
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvdeplug2
 Breaks: vde2 (<< 2.3.2+r586-3)
 Replaces: vde2 (<< 2.3.2+r586-3)
 Description: Virtual Distributed Ethernet. Virtual Switch command.
@@ -60,7 +60,7 @@
 Package: vde-wirefilter
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvdeplug2
 Breaks: vde2 (<< 2.3.2+r586-3)
 Replaces: vde2 (<< 2.3.2+r586-3)
 Description: Virtual Distributed Ethernet. wirefilter command.
@@ -94,7 +94,8 @@
 Architecture: any
 Depends: libvde0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libvdemgmt0-dev (<= 2.2.2-3)
-Replaces: libvdemgmt0-dev
+Replaces: libvdemgmt0-dev, vde2 (<< 2.3.2-1)
+Breaks: vde2 (<< 2.3.2-1)
 Description: Virtual Distributed Ethernet - support libraries development files
  VDE is a virtual switch that can connect multiple virtual machines together,
  both local and remote.
