=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,10 @@
 include /usr/share/cdbs/1/rules/buildcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-experimental --disable-python
-
-DEB_DH_GENCONTROL_ARGS_ALL = -- \
-	-Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libvdeplug-dev \
-			| sed -E 's/.*(libvdeplug[[:alnum:].-]+).*/\1/')
 
 # TUN/TAP is almost unsupported on kFreeBSD, so install the corresponding files
 # only on Linux.
